' Copyright (C) 2025  P4pillon.org
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU Affero General Public License as
' published by the Free Software Foundation, either version 3 of the
' License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU Affero General Public License for more details.
'
' You should have received a copy of the GNU Affero General Public License
' along with this program.  If not, see <https://www.gnu.org/licenses/>.
Public Class Prescripteurs_bdd



    Private Sub Prescripteurs_bdd_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: cette ligne de code charge les données dans la table 'PharmaDataSet.Prescripteurs'. Vous pouvez la déplacer ou la supprimer selon vos besoins.
        Me.PrescripteursTableAdapter.Fill(Me.PharmaDataSet.Prescripteurs)

    End Sub

    Private Sub BindingNavigatorDeleteItem_Click(sender As Object, e As EventArgs) Handles BindingNavigatorDeleteItem.Click
        If PrescripteursDataGridView.CurrentRow.Index < 0 Then
            Exit Sub
        End If
        Try
            Me.PrescripteursTableAdapter.Delete1(PrescripteursDataGridView.Item(IDinterne.Index, PrescripteursDataGridView.CurrentRow.Index).Value, _
                                          PrescripteursDataGridView.Item(NomPrénom.Index, PrescripteursDataGridView.CurrentRow.Index).Value, _
                                          PrescripteursDataGridView.Item(Adresse.Index, PrescripteursDataGridView.CurrentRow.Index).Value, _
                                          PrescripteursDataGridView.Item(Numidentification.Index, PrescripteursDataGridView.CurrentRow.Index).Value, _
                                          PrescripteursDataGridView.Item(Statut.Index, PrescripteursDataGridView.CurrentRow.Index).Value, _
                                          PrescripteursDataGridView.Item(CodeSpécialité.Index, PrescripteursDataGridView.CurrentRow.Index).Value, _
                                          PrescripteursDataGridView.Item(NumRPPS.Index, PrescripteursDataGridView.CurrentRow.Index).Value, _
                                          PrescripteursDataGridView.Item(numStructure.Index, PrescripteursDataGridView.CurrentRow.Index).Value)
        Catch ex As Exception

        End Try
    
        Me.PrescripteursTableAdapter.Fill(Me.PharmaDataSet.Prescripteurs)

    End Sub

    Private Sub BindingNavigatorAddNewItem_Click(sender As Object, e As EventArgs) Handles BindingNavigatorAddNewItem.Click
        Edition_Prescripteurs.ShowDialog()
        Me.PrescripteursTableAdapter.Fill(Me.PharmaDataSet.Prescripteurs)
    End Sub

    Private Sub ToolStripButton1_Click(sender As Object, e As EventArgs) Handles ToolStripButton1.Click
        If PrescripteursDataGridView.CurrentRow.Index < 0 Then
            Exit Sub
        End If
        Dim my_Edition_Prescripteurs As New Edition_Prescripteurs
        'my_Edition_Prescripteurs.FormBorderStyle = Windows.Forms.FormBorderStyle.FixedSingle
        'my_Edition_Prescripteurs.ControlBox = False
        my_Edition_Prescripteurs.IDinterneTextBox.Text = PrescripteursDataGridView.Item(IDinterne.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        my_Edition_Prescripteurs.NomPrénomTextBox.Text = PrescripteursDataGridView.Item(NomPrénom.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        my_Edition_Prescripteurs.AdresseTextBox.Text = PrescripteursDataGridView.Item(Adresse.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        my_Edition_Prescripteurs.NumidentificationTextBox.Text = PrescripteursDataGridView.Item(Numidentification.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        my_Edition_Prescripteurs.StatutComboBox.Text = PrescripteursDataGridView.Item(Statut.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        my_Edition_Prescripteurs.CodeSpécialitéTextBox.Text = PrescripteursDataGridView.Item(CodeSpécialité.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        my_Edition_Prescripteurs.NumRPPSTextBox.Text = PrescripteursDataGridView.Item(NumRPPS.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        my_Edition_Prescripteurs.NumStructureTextBox.Text = PrescripteursDataGridView.Item(numStructure.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        Try
            my_Edition_Prescripteurs.Notes_RichTextBox.Text = PrescripteursDataGridView.Item(Notes.Index, PrescripteursDataGridView.CurrentRow.Index).Value
        Catch ex As Exception
            my_Edition_Prescripteurs.Notes_RichTextBox.Text = ""
        End Try
      
        my_Edition_Prescripteurs.ShowDialog()
        Me.PrescripteursTableAdapter.Fill(Me.PharmaDataSet.Prescripteurs)
    End Sub
End Class